package com.xindazhou.vehicle.service.guide;

import com.xindazhou.framework.common.pojo.PageResult;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleGuidePageReqVO;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleGuideRespVO;
import com.xindazhou.vehicle.controller.admin.vehicle.vo.VehicleGuideSaveReqVO;

import java.util.Collection;

/**
 * 使用指南 Service 接口
 *
 * @author xindazhou
 */
public interface VehicleGuideService {

    PageResult<VehicleGuideRespVO> getVehicleGuidePage(VehicleGuidePageReqVO pageReqVO);

    VehicleGuideRespVO getVehicleGuide(Long id);

    Long createVehicleGuide(VehicleGuideSaveReqVO createReqVO);

    void updateVehicleGuide(VehicleGuideSaveReqVO updateReqVO);

    void deleteVehicleGuide(Long id);

    void batchDeleteVehicleGuide(Collection<Long> ids);

    void onShelfVehicleGuide(Long id);

    void batchDisplayVehicleGuide(Collection<Long> ids, Integer isDisplay);

}

